<?php
/**
 * @category   DeliveryPerson
 * @package    DeliveryPerson_DeliveryModule
 * @author     prashant.bluethink@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace DeliveryPerson\DeliveryModule\Controller\Index;

use Magento\Framework\App\Action\Context;
use Magento\Framework\Exception\NotFoundException;
use DeliveryPerson\DeliveryModule\Block\DeliveryModuleView;

class View extends \Magento\Framework\App\Action\Action
{
	protected $_deliverymoduleview;

	public function __construct(
        Context $context,
        DeliveryModuleView $deliverymoduleview
    ) {
        $this->_deliverymoduleview = $deliverymoduleview;
        parent::__construct($context);
    }

	public function execute()
    {
    	if(!$this->_deliverymoduleview->getSingleData()){
    		throw new NotFoundException(__('Parameter is incorrect.'));
    	}
    	
        $this->_view->loadLayout();
        $this->_view->getLayout()->initMessages();
        $this->_view->renderLayout();
    }
}
